package qt4-qws

Bug #618733 reported by Jonathan Riddell on 2010-08-16
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Ubuntu
Undecided
Unassigned

Bug Description

linaro want Qt packaged with a qws build. This allows for use of Qt on the framebuffer.

The build is largely the same as qt4-x11 but with a different compile option and of course different binary packages. The resulting library is not ABI compatible with the X11 Qt.

Currently it is packaged as a separate source package. This causes code duplication of a large source package. However we do not have a working way to build it alongside the the X11 build as part of the same source package yet. It would also make maintinance of the X11 source package considerably harder by doubling build times.

Jonathan Riddell (jr) wrote :

ACKed by jriddell and asac

Jamie Strandboge (jdstrand) wrote :

Since this package an almost 2 million line code copy of qt4-x11. This is potentially going to to be a problem with support long term, as bugfix and security updates will be have to be done in two places and it is highly likely that the packages will diverge going forward. If the packages are in universe, they will not receive official support from Canonical and any updates will have to be done by the community. Is Linaro committing to support for this package?

Changed in ubuntu:
assignee: nobody → Jamie Strandboge (jdstrand)
status: New → Incomplete
Jonathan Riddell (jr) wrote :

I'm told this is going to be in a PPA only for maverick

Changed in ubuntu:
assignee: Jamie Strandboge (jdstrand) → nobody
status: Incomplete → Won't Fix
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers